ECLIPSE(1)

NAME
Eclipse SUMO polyconvert Version - Importer of polygons and POIs for the traffic simulation SUMO

SYNOPSIS
polyconvert [OPTION]*

DESCRIPTION
Eclipse SUMO polyconvert Version v1_14_1+1447-a9bb7416089

    Copyright (C) 2001-2022 German Aerospace Center (DLR) and others; https://sumo.dlr.de

Importer of polygons and POIs for the microscopic, multi-modal traffic

    simulation SUMO.

  Configuration Options:

-c, --configuration-file FILE
    Loads the named config on startup

-C, --save-configuration FILE
    Saves current configuration into FILE

--save-configuration.relative
    Enforce relative paths when saving the configuration

--save-template FILE
    Saves a configuration template (empty) into FILE

--save-schema FILE
    Saves the configuration schema into FILE

--save-commented
    Adds comments to saved template, configuration, or schema

  Input Options:

-n, --net-file FILE
    Loads SUMO-network FILE as reference to offset and projection

--dlr-navteq-poly-files FILE
    Reads polygons from FILE assuming they're coded in DLR-Navteq (Elmar)-format

--dlr-navteq-poi-files FILE
    Reads pois from FILE+ assuming they're coded in DLR-Navteq (Elmar)-format

--visum-files FILE
    Reads polygons from FILE assuming it's a Visum-net

--visum.language-file FILE
    Load language mappings from FILE

--xml-files FILE
    Reads pois and shapes from FILE assuming they're coded in XML

--osm-files FILE
    Reads pois from FILE+ assuming they're coded in OSM

--osm.keep-full-type
    The type will be made of the key-value - pair

--osm.use-name
    The id will be set from the given 'name' attribute

--osm.merge-relations FLOAT
    If FLOAT >= 0, assemble one polygon from all ways of a relation if they all connect with gaps below FLOAT

--shapefile-prefixes FILE
    Reads shapes from shapefiles FILE+

--shapefile.guess-projection
    Guesses the shapefile's projection

--shapefile.traditional-axis-mapping
    Use traditional axis order (lon, lat)

--shapefile.id-column STR
    Defines in which column the id can be found

--shapefile.type-columns STR[]
    Defines which columns form the type id (comma separated list)

--shapefile.use-running-id
    A running number will be used as id

--shapefile.add-param
    Extract all additional columns as params

--shapefile.fill STR
    [auto|true|false]. Forces the 'fill' status to the given value. Default 'auto' tries to determine it from the data type

--type-file FILE
    Reads types from FILE

  Output Options:

--write-license
    Include license info into every output file

--output-prefix STR
    Prefix which is applied to all output files. The special string 'TIME' is replaced by the current time.

--precision INT
    Defines the number of digits after the comma for floating point output

--precision.geo INT
    Defines the number of digits after the comma for lon,lat output

-H, --human-readable-time
    Write time values as hour:minute:second or day:hour:minute:second rather than seconds

-o, --output-file FILE
    Write generated polygons/pois to FILE

--dlr-tdp-output FILE
    Write generated polygons/pois to a dlr-tdp file with the given prefix

  Projection Options:

--simple-projection
    Uses a simple method for projection

--proj.scale FLOAT
    Scaling factor for input coordinates

--proj.rotate FLOAT
    Rotation (clockwise degrees) for input coordinates

--proj.utm
    Determine the UTM zone (for a universal transversal mercator projection based on the WGS84 ellipsoid)

--proj.dhdn
    Determine the DHDN zone (for a transversal mercator projection based on the bessel ellipsoid, "Gauss-Krueger")

--proj STR
    Uses STR as proj.4 definition for projection

--proj.inverse
    Inverses projection

--proj.dhdnutm
    Convert from Gauss-Krueger to UTM

--proj.plain-geo
    Write geo coordinates in output

  Pruning Options:

--prune.in-net
    Enables pruning on net boundaries

--prune.in-net.offsets STR
    Uses FLOAT,FLOAT,FLOAT,FLOAT as offset definition added to the net boundary. Positive values grow the boundary on all sides while negative values shrink it.

--prune.boundary STR
    Uses STR as pruning boundary

--prune.keep-list STR
    Items in STR will be kept though out of boundary

--prune.explicit STR[]
    Items with names in STR[] will be removed

  Processing Options:

--offset.x FLOAT
    Adds FLOAT to net x-positions

--offset.y FLOAT
    Adds FLOAT to net y-positions

--offset.z FLOAT
    Adds FLOAT to net z-positions

--all-attributes
    Imports all attributes as key/value pairs

--ignore-errors
    Continue on broken input

--poi-layer-offset FLOAT
    Adds FLOAT to the layer value for each poi (i.e. to raise it above polygons)

  Building Defaults Options:

--color STR
    Sets STR as default color

--prefix STR
    Sets STR as default prefix

--type STR
    Sets STR as default type

--fill
    Fills polygons by default

--layer FLOAT
    Sets FLOAT as default layer

--discard
    Sets default action to discard

  Report Options:

-v, --verbose
    Switches to verbose output

--print-options
    Prints option values before processing

-?, --help
    Prints this screen or selected topics

-V, --version
    Prints the current version

-X, --xml-validation STR
    Set schema validation scheme of XML inputs ("never", "local", "auto" or "always")

--xml-validation.net STR
    Set schema validation scheme of SUMO network inputs ("never", "local", "auto" or "always")

-W, --no-warnings
    Disables output of warnings

--aggregate-warnings INT
    Aggregate warnings of the same type whenever more than INT occur

-l, --log FILE
    Writes all messages to FILE (implies verbose)

--message-log FILE
    Writes all non-error messages to FILE (implies verbose)

--error-log FILE
    Writes all warnings and errors to FILE

EXAMPLES

    polyconvert -c <CONFIGURATION>

    run with configuration options set in file

REPORTING BUGS
Report bugs at <https://github.com/eclipse/sumo/issues>.
Get in contact via <sumo@dlr.de>.

    Build features: Linux-5.4.0-125-generic x86_64 GNU 9.4.0 Release FMI Proj GUI SWIG
    Copyright (C) 2001-2022 German Aerospace Center (DLR) and others; https://sumo.dlr.de

Eclipse SUMO polyconvert Version v1_14_1+1447-a9bb7416089 is part of SUMO.
This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html
This program may also be made available under the following Secondary
Licenses when the conditions for such availability set forth in the Eclipse
Public License 2.0 are satisfied: GNU General Public License, version 2 or later which is available at https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html
SPDX-License-Identifier: EPL-2.0 OR GPL-2.0-or-later